using System;

namespace SharpQuake
{
	internal class NullSoundController : ISoundController
	{
		public bool IsInitialized
		{
			get
			{
				return false;
			}
		}

		public void Init()
		{
			snd.shm.channels = 2;
			snd.shm.samplebits = 16;
			snd.shm.speed = 11025;
		}

		public void Shutdown()
		{
		}

		public void ClearBuffer()
		{
		}

		public byte[] LockBuffer()
		{
			return snd.shm.buffer;
		}

		public void UnlockBuffer(int bytes)
		{
		}

		public int GetPosition()
		{
			return 0;
		}
	}
}
